import request from '@/utils/request'
// 【 ezhizao-dms-production 】这个名字对应的就是 nacos 中的服务的 id，必须用“-”分割
// 开发时，在 vite.config.js 中配置 /ezhizao-dms-production，参考 /dev-api 的配置
// 生产时，在nginx中配置 /ezhizao-dms-production，指定对应的 nacos 中的服务 id：/ezhizao-dms-production
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询资源分配列表
export function listResourceAllocation(query) {
  return request({
    url: baseUrl+ '/business/resourceAllocation/list',
    method: 'get',
    params: query
  })
}

// 查询资源分配详细
export function getResourceAllocation(id) {
  return request({
    url: baseUrl+ '/business/resourceAllocation/' + id,
    method: 'get'
  })
}

// 新增资源分配
export function saveResourceAllocation(data) {
  return request({
    url: baseUrl+ '/business/resourceAllocation',
    method: 'post',
    data: data
  })
}

// 修改资源分配
export function updateResourceAllocation(data) {
  return request({
    url: baseUrl+ '/business/resourceAllocation',
    method: 'put',
    data: data
  })
}

// 删除资源分配
export function delResourceAllocation(id) {
  return request({
    url: baseUrl+ '/business/resourceAllocation/' + id,
    method: 'delete'
  })
}
